<?php
/*
* $Id: amDB.class.php
* $Loc: /admin/attributeManager/classes/
*
* Name: AjaxAttributesManager
* Version: 3.6.2
* Release Date: 2024-07-26
* Author: Rainer Schmied
* 	 phoenixcartaddonsaddons.com / raiwa@phoenixcartaddons.com
*
* License: Released under the GNU General Public License
*
* Comments: Author: [Rainer Schmied @raiwa]
* Author URI: [www.phoenixcartaddons.com]
* 
* CE Phoenix, E-Commerce made Easy
* https://phoenixcart.org
* 
* Copyright (c) 2021 Phoenix Cart
* 
* 
*/

/**
 * OSC Database functions wrapper - just in case they decide to release ms3 the moment i release this - he he
 */
class amDB {

	/**
	 * Returns a singular result from a mysql query
	 * @param $strQuery string - mysql query
	 * @return mixed - first record, first row
	 */
	public static function getOne($strQuery) {
		$res = $GLOBALS['db']->query($strQuery);
		if ($res && mysqli_num_rows($res))
			return amDB::mysqli_result($res,0,0);
		return false;
	}

	/**
	 * Returns all results from a mysql query
	 * @author Sam West aka Nimmit - osc@kangaroopartners.com
	 * @param $strQuery string - mysql query
	 * @return array - all results
	 */
	public static function getAll($strQuery) {
		$res = $GLOBALS['db']->query($strQuery);
		$results = [];
		while ($row = $res->fetch_assoc()) {
			$results[] = $row;
    }
		return $results;
	}

	/**
	 * Returns placebo autoincrement value
	 * @access public
	 * @param $strTable string table name
	 * @param $strField string field name
	 * @return mixed
	 */
	public static function getNextAutoValue($strTable,$strField) {
		return (int)amDB::getOne("SELECT MAX( " . $strField . " ) + 1 AS NEXT FROM " . $strTable . " LIMIT 1");
	}

	public static function mysqli_result($res,$row,$field) {
    $res->data_seek($row);
		$data = mysqli_fetch_array($res, MYSQLI_NUM);
		return $data[$field];
	}

}
